<template>
  <Head>
    <title>Gameanueva - Home</title>
    <meta
      type="description"
      content="Gameanueva - Home"
      head-key="description"
    />
    <link rel="apple-touch-icon" sizes="180x180" href="/favicon.png" />
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon.png" />
  </Head>
  <section>
    <header>
      <div class="p-5 bg-primary color-block">
        <img src="/favicon.png" />
      </div>
      <div class="p-5 color-block">
        <h1 class="text-2xl mx-auto text-center" style="padding-top: 5px;">Gameanueva</h1>
      </div>
      <div class="p-5 color-block bg-tertiary">
        <nav class="text-center">
          <NavLink class="bg-secondary mr-3" href="/profile" :active="$page.component === 'Profile'">Profile</NavLink>
          <NavLink class="bg-secondary ml-1 mr-1" href="/rewards" :active="$page.component === 'Rewards'">Rewards</NavLink>
          <NavLink class="bg-secondary ml-3" href="/habit" :active="$page.component === 'Habit'">Habit</NavLink>
        </nav>
      </div>
    </header>
  </section>

  <section class="p-5 color-block bg-primary">
    <div>
      <p class="text-center">Welcome to my Vue JS Game Project!</p>
      <p class="text-center">It is a small habit tracking app.</p>
    </div>
  </section>
  
</template>

<script>
import NavLink from "../Shared/NavLink";
import { Head } from "@inertiajs/inertia-vue3";

export default {
  components: { NavLink, Head },
  layout: null,
};
</script>